xn::ModuleDepthGenerator Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleDepthGenerator:
[legend]

## Public Member Functions

virtual | ~ModuleDepthGenerator ()
virtual const void * | GetData ()
virtual XnUInt32 | GetBytesPerPixel ()
virtual XnDepthPixel * | GetDepthMap ()=0
virtual XnDepthPixel | GetDeviceMaxDepth ()=0
virtual void | GetFieldOfView (XnFieldOfView &FOV)=0
virtual XnStatus | RegisterToFieldOfViewChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromFieldOfViewChange (XnCallbackHandle hCallback)=0
virtual ModuleUserPositionInterface * | GetUserPositionInterface ()
Public Member Functions inherited from xn::ModuleMapGenerator
virtual | ~ModuleMapGenerator ()
virtual XnUInt32 | GetSupportedMapOutputModesCount ()=0
virtual XnStatus | GetSupportedMapOutputModes (XnMapOutputMode aModes[], XnUInt32 &nCount)=0
virtual XnStatus | SetMapOutputMode (const XnMapOutputMode &Mode)=0
virtual XnStatus | GetMapOutputMode (XnMapOutputMode &Mode)=0
virtual XnStatus | RegisterToMapOutputModeChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromMapOutputModeChange (XnCallbackHandle hCallback)=0
virtual ModuleCroppingInterface * | GetCroppingInterface ()
virtual ModuleAntiFlickerInterface * | GetAntiFlickerInterface ()
Public Member Functions inherited from xn::ModuleGenerator
virtual | ~ModuleGenerator ()
virtual XnStatus | StartGenerating ()=0
virtual XnBool | IsGenerating ()=0
virtual void | StopGenerating ()=0
virtual XnStatus | RegisterToGenerationRunningChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromGenerationRunningChange (XnCallbackHandle hCallback)=0
virtual XnStatus | RegisterToNewDataAvailable (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromNewDataAvailable (XnCallbackHandle hCallback)=0
virtual XnBool | IsNewDataAvailable (XnUInt64 &nTimestamp)=0
virtual XnStatus | UpdateData ()=0
virtual XnUInt32 | GetDataSize ()=0
virtual XnUInt64 | GetTimestamp ()=0
virtual XnUInt32 | GetFrameID ()=0
virtual ModuleMirrorInterface * | GetMirrorInterface ()
virtual ModuleAlternativeViewPointInterface * | GetAlternativeViewPointInterface ()
virtual ModuleFrameSyncInterface * | GetFrameSyncInterface ()
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleDepthGenerator()

virtual xn::ModuleDepthGenerator::~ModuleDepthGenerator | ( |  | ) |

inline virtual

## Member Function Documentation

## GetBytesPerPixel()

virtual XnUInt32 xn::ModuleDepthGenerator::GetBytesPerPixel | ( |  | ) |

inline virtual

Implements xn::ModuleMapGenerator.

## GetData()

virtual const void * xn::ModuleDepthGenerator::GetData | ( |  | ) |

inline virtual

Implements xn::ModuleGenerator.

## GetDepthMap()

virtual XnDepthPixel * xn::ModuleDepthGenerator::GetDepthMap | ( |  | ) |

pure virtual

## GetDeviceMaxDepth()

virtual XnDepthPixel xn::ModuleDepthGenerator::GetDeviceMaxDepth | ( |  | ) |

pure virtual

## GetFieldOfView()

virtual void xn::ModuleDepthGenerator::GetFieldOfView | ( | XnFieldOfView & | FOV | ) |

pure virtual

## GetUserPositionInterface()

virtual ModuleUserPositionInterface * xn::ModuleDepthGenerator::GetUserPositionInterface | ( |  | ) |

inline virtual

## RegisterToFieldOfViewChange()

virtual XnStatus xn::ModuleDepthGenerator::RegisterToFieldOfViewChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## UnregisterFromFieldOfViewChange()

virtual void xn::ModuleDepthGenerator::UnregisterFromFieldOfViewChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h